
D4Science Infrastructure - Task #7814

Provide a script for restoring missed scope from mandatory resources

Mar 27, 2017 11:35 AM - Roberto Cirillo

Status: Closed Start date: Mar 27, 2017

Priority: Urgent Due date:  

Assignee: Lucio Lelii % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

In order to check if a mandatory resource is correctly assigned on every scopes, it's needed to provide a script that retrieve all the

active scopes on the infrastructure and assign them to the resource.

History

#2 - Mar 27, 2017 11:41 AM - Massimiliano Assante

@roberto.cirillo@isti.cnr.it is this related to #7800?

#3 - Mar 27, 2017 11:52 AM - Roberto Cirillo

Yes, it is. I think both the scripts can work together for avoiding the same issue:

The #7800 is needed for alerting us if there is a mandatory resource with a missing scope, the #7814 script should restore the missing scope from the

mandatory resource.

#5 - Mar 30, 2017 08:24 PM - Pasquale Pagano

Any progress to report? 

#6 - Mar 31, 2017 11:12 AM - Lucio Lelii

- % Done changed from 0 to 100

yes the script is ready, we already ran it for the accounting resource in preproduction.

#7 - Apr 20, 2017 01:55 PM - Andrea Dell'Amico

- Status changed from New to Closed
